YUI AS Component Documentation |
Class PNGEncoder

Package | com.adobe.images
Class | public class PNGEncoder

Class that converts BitmapData into a valid PNG

Public Methods

| Method | Defined by
--- | --- | ---
|  | encode(img:BitmapData):ByteArray [static] Created a PNG image from the specified BitmapData | PNGEncoder

Method detail

encode | () | method

`public static function encode(img:BitmapData):ByteArray`

Created a PNG image from the specified BitmapData

Parameters

| `img:BitmapData` — The BitmapData that will be converted into the PNG format.

Returns

| `ByteArray` — a ByteArray representing the PNG encoded image data.